function bin = int2bin(d,n)

%Convert integers to binary

if (nargin<2)
  n=1; % Need at least one digit even for 0.
end

[f,e]=log2(max(d)); % How many digits do we need to represent the numbers?

% the algorithm:

bin = rem(floor(d*pow2(1-max(n,e):0)),2);   % Magic!!! :)