% plot source wavelet, timesignal 

scrsz = get(0,'ScreenSize');
tot_len=size(obs_data,1);
upp = tot_len/nrec;

fid = fopen(['ricker.wlt'],'r');
data = textscan(fid,'%n',1,'headerLines', 16);
n_samples = data{1};

data = textscan(fid,'%n',1,'headerLines', 1);
delta_t = data{1};

data = textscan(fid,'%n','headerLines', 1, 'delimiter', '\n');
wavelet = data{1};

t =(0:n_samples-1)*delta_t;
Y = fft(wavelet,upp*4);
fs = 1/delta_t;
f = fs*(0:upp*2-1)/(upp*4);

idx=1:nrec:tot_len;
timesignal=real(ifft(Y(1:upp).*obs_data(idx,:), n_samples));

figure(3);
subplot(1,2,1); plot(f,abs(Y(1:upp*2))); grid on;
xlabel('Frequency (Hz)'); xlim([0 125]);title('Frequency spectrum of source')
subplot(1,2,2); plot(t,wavelet); grid on; xlim([0, 1]);
xlabel('Time (s)');title('timesignal of source')
% subplot(2,2,3:4);plot(t,timesignal); grid on; ylim([-2e-6 2e-6]);
% xlabel('Time (s)');ylabel('Amplitude (Pa)');title('Observed signal on hydrophone')