% What parameters to invert for.

% inv_parameters may be:
% inv_parameters = ['Vp'; 'Vs'; 'ap'; 'as'; 'de'; ti;]

    
inv_parameters = ['Vp'; 'Vs';'ti'];
nParm = size(inv_parameters,1);
nlayers = 3;

% intialser variabler:

Vp_l = []; Vp_u = [];
Vs_l = []; Vs_u = [];
ap_l = []; ap_u = [];
as_l = []; as_u = [];
den_l = []; den_u = [];
thick_l=[]; thick_u=[];
bit = []; bits = [];


for k = 1:nParm
    switch (inv_parameters(k,:))
        case ('Vp')
            Vp_l = [1400 1650 2500];
            Vp_u = [2200 2250 3100];
            bit{k} = [9 8 8];
        case ('Vs')
            Vs_l = [400 600 1000];
            Vs_u = [900 1100 1700];
            bit{k} = [9 8 8];
        case ('ap')
            ap_l = [0.4 0.4 0.4];
            ap_u = [0.95 0.95 0.95];
            bit{k} = [6 6 6];
        case ('as')
            as_l = [0.4 0.4 0.4];
            as_u = [0.95 0.95 0.95];
            bit{k} = [6 6 6];
        case ('de')
            den_l = [1000 1000 1000];
            den_u = [2400 2400 2400];
            bit{k} = [7 7 7];
        case ('ti')
            thick_l = [20 20];
            thick_u = [80 80];
            bit{k} = [7 7];
        case ('Vw')
            Vw_l = [1500];
            Vw_u = [1600];
            bit{k} = 7;
    end
end



R1 = 111;
C1 = 0;
R2 = nlayers  + 1 + R1;
C2 = 6;

model_matrix = dlmread('observed.pre', '', [R1 C1 R2 C2]);

lower_bounds = [Vp_l Vs_l ap_l as_l den_l thick_l];
upper_bounds = [Vp_u Vs_u ap_u as_u den_u thick_u];

for k=1:nParm
    bits = [bits, bit{k}];
end
% for l=1:size(bit,2)
%     bits = [bits ones(1,nlayers)*bit(l)];
% end