%Plots the frequncy response for each receiver

tot_len=size(obs_data,1);
upp = tot_len/nrec;
[ans, best] = min(ObjValOld);
[ans, worst] = max(ObjValOld);
f = 125*(0:upp-1)/upp;



for q = 1:nrec
    points = q:nrec:tot_len;
    set(figure(5+q),'Position',[1 1 scrsz(3)*3/4 round(scrsz(4)*3/4)]);
    
    %    plot(f, 20*log10(abs(data_inn(points,:))));
    plot(f, 20*log10(abs(obs_data(points,:))), '-k','LineWidth', 2);
    hold on;plot(f, 20*log10(abs(data_inn(points,best))), 'r','LineWidth', 1);
    set(gca,'XMinorTick', 'on'); grid on; xlim([0 125])
%    plot(f, 20*log10(abs(data_inn(points,worst))), 'b','LineWidth', 1.7);
    title(['Modelled frequency response - hydrophone #' num2str(q)]);
    ylabel('Magnitude (dB)');
    xlabel('frequency (Hz)');
    h = legend('True model','Best calculated model', 2,'Location','North');

%     subplot(2,1,2); 
%     hold off; plot(f,unwrap(angle(obs_data(points,:))), '-k','LineWidth', 2)
%     hold on; 
%  %   plot( f, unwrap(angle(data_inn(points,:))));
%     plot(f, unwrap(angle(data_inn(points,best))), '-r','LineWidth', 1.5);
%    % plot(f, unwrap(angle(data_inn(points,worst))), '-.b','LineWidth', 1.5);
% %    plot( f, unwrap(angle(data_inn(:,[4 10]))));
%     title(['Phase shift - hydrophone #' num2str(q)]);
%     ylabel('Angle (deg)');
%     xlabel('frequency (Hz)');
%     h = legend('True model','Best model', 2,'Location','North');
%     hold off
    drawnow
end