function savename = savevar

% creates a filename to save a workspace in.
% the folder /matfiles must exist

files = dir('matfiles/data*.mat');
nfiles = size(files,1);
filename = ['data_#' num2str(nfiles+1) '_' datestr(now,'mm_dd') '.mat'];
folder = 'matfiles/';
savename = [folder filename];