function [choices] = stochastic_selection(popsize, pk, type)

% Selection by stochastic remainder with or without replacement
% type = 1 => without replacement 
% type = 0 => with replacement

len = length(pk);

expected = pk;
jassign = fix(expected);
fraction = expected - jassign;
k = 0;



% Assign Whole numbers:
for j=1:popsize
    while jassign(j) > 0
        k = k + 1;
        jassign(j) = jassign(j) - 1;
        choices(k) = j;
    end
end
j = 0;

% Assign fractional parts
while k < popsize
    j = j + 1;
    if (j > len)
        j = 1;
    end
    if (fraction(j) > 0)
        if (flip(fraction(j)))
            k = k + 1;
            choices(k) = j;
            if type     
                fraction(j) = 0;
            end
        end
    end
end


